import logging
from common.orm.fields.ForeignKeyField import ForeignKeyField
from common.orm.fields.PrimaryKeyField import PrimaryKeyField
from common.orm.model.Model import Model
from .EndPointModel import EndPointMonitorModel
from .KpiModel import KpiModel

LOGGER = logging.getLogger(__name__)

class EndPointMonitorKpiModel(Model): # pylint: disable=abstract-method
    pk = PrimaryKeyField()
    endpoint_monitor_fk = ForeignKeyField(EndPointMonitorModel)
    kpi_fk = ForeignKeyField(KpiModel)
